﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;
using System.Windows;
using System.Windows.Controls;
using WpfBreakout.PowerUps;

namespace WpfBreakout.Bricks
{
    public class SpecialBrick : Brick
    {
        public override int Value { get { return 500; } }
        
        // Constructor
        public SpecialBrick()
        {
            _brick = new DrawingVisual();
            DrawingContext context = _brick.RenderOpen();
            Rect rectangle = new Rect(0, 0, _width, _height);
            context.DrawRectangle(Brushes.Red, new Pen(Brushes.Black, 1.0), rectangle);
            context.Close();
        }


        public override void Distroy(MainWindow window)
        {
            var bonus = new Bonus(this, window);
            window.GameCanvas.Children.Add(bonus);
        }
    }
}
