﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfBreakout
{
    /// <summary>
    /// Interaction logic for StartScreen.xaml
    /// </summary>
    public partial class StartScreen : Window
    {
        MainWindow mainWindow;

        public StartScreen(MainWindow mW)
        {
            InitializeComponent();
            mainWindow = mW;
            this.Height = mW.Height;
            this.Width = mW.Width;
            this.Left = mW.Left;
            this.Top = mW.Top;
        }

        private void btnNewGame_Click(object sender, RoutedEventArgs e)
        {
            mainWindow.NewGame();
            this.Close();
        }

        private void btnExit_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }
    }
}
